INTERFACE
SUBROUTINE SPOLTS(KULOUT,KFIELD,KFLDSUR,&
 & KNSMAX,KASM0,KSPEC2,KUMCP,KMYMS,&
 & PRLON,PSPECI,PSPECF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KNSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KUMCP
INTEGER(KIND=JPIM),INTENT(IN) :: KULOUT
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD
INTEGER(KIND=JPIM),INTENT(IN) :: KASM0(0:KNSMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KMYMS(1:KUMCP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRLON
REAL(KIND=JPRB) ,INTENT(IN) :: PSPECI(KFLDSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPECF(KFLDSUR,KSPEC2)
END SUBROUTINE SPOLTS
END INTERFACE
